﻿using System;
namespace MageDefender.Interfaces
{
    interface ISpellHandler
    {
        System.Collections.Generic.List<GameObjects.SpellHandler.Spells> LearnedSpells { get; set; }
        void LearnSpell(GameObjects.SpellHandler.Spells learn);
        int NumberOfSpells { get; set; }
        GameObjects.SpellHandler.Spells SelectedSpell { get; set; }
        int SelectedSpellIndex { get; set; }
        System.Collections.Generic.List<GameClasses.Spell> SpellList { get; set; }
        System.Collections.Generic.List<GameClasses.Spell> SpellReference { get; set; }
        int GetSpellPrice(GameObjects.SpellHandler.Spells spellType);
        string GetSpellDescription(GameObjects.SpellHandler.Spells spellType);
    }
}
